Loading...
Searching...
No Matches
Halide::Runtime::Internal::BlockAllocator::MemoryAllocators Struct Reference

`#include <block_allocator.h>`

## Public Attributes

SystemMemoryAllocatorFns | system
MemoryBlockAllocatorFns | block
MemoryRegionAllocatorFns | region

## Detailed Description

Definition at line 36 of file block_allocator.h.

## Member Data Documentation

## system

SystemMemoryAllocatorFns Halide::Runtime::Internal::BlockAllocator::MemoryAllocators::system

Definition at line 37 of file block_allocator.h.

Referenced by Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::create_crop(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::destroy(), and Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::destroy_crop().

## block

MemoryBlockAllocatorFns Halide::Runtime::Internal::BlockAllocator::MemoryAllocators::block

Definition at line 38 of file block_allocator.h.

## region

MemoryRegionAllocatorFns Halide::Runtime::Internal::BlockAllocator::MemoryAllocators::region

Definition at line 39 of file block_allocator.h.

The documentation for this struct was generated from the following file:

- src/runtime/internal/block_allocator.h